- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDEllipse Class Reference
Inheritance diagram for libvisio::VSDEllipse:

## Public Member Functions
| VSDEllipse (unsigned id, unsigned level, const boost::optional< double > &cx, const boost::optional< double > &cy, const boost::optional< double > &xleft, const boost::optional< double > &yleft, const boost::optional< double > &xtop, const boost::optional< double > &ytop)
virtual | ~VSDEllipse ()
void | handle (VSDCollector *collector) const
VSDGeometryListElement * | clone ()
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_cx
double | m_cy
double | m_xleft
double | m_yleft
double | m_xtop
double | m_ytop

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

libvisio::VSDEllipse::VSDEllipse | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< double > & | cx,
|  | const boost::optional< double > & | cy,
|  | const boost::optional< double > & | xleft,
|  | const boost::optional< double > & | yleft,
|  | const boost::optional< double > & | xtop,
|  | const boost::optional< double > & | ytop
| ) |  |
| inline

virtual libvisio::VSDEllipse::~VSDEllipse | ( |  | ) |
| inline virtual

## Member Function Documentation

libvisio::VSDGeometryListElement * libvisio::VSDEllipse::clone | ( |  | ) |
| virtual

Implements libvisio::VSDGeometryListElement.

void libvisio::VSDEllipse::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

double libvisio::VSDEllipse::m_cx

Referenced by libvisio::VSDGeometryList::addEllipse().

double libvisio::VSDEllipse::m_cy

Referenced by libvisio::VSDGeometryList::addEllipse().

double libvisio::VSDEllipse::m_xleft

Referenced by libvisio::VSDGeometryList::addEllipse().

double libvisio::VSDEllipse::m_xtop

Referenced by libvisio::VSDGeometryList::addEllipse().

double libvisio::VSDEllipse::m_yleft

Referenced by libvisio::VSDGeometryList::addEllipse().

double libvisio::VSDEllipse::m_ytop

Referenced by libvisio::VSDGeometryList::addEllipse().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp